Page MenuHomePhabricator

Decommission db1024
Closed, ResolvedPublic

Description

Hello, db1024 is now ready to be decomissioned

  • - all system services confirmed offline from production use
  • MySQL is stopped and the host has been removed from db-eqiad.php, db-codfw.php, added to spare to site.pp, removed from dhcp, downtimed on icinga, removed from tendril and removed from software repo: https://gerrit.wikimedia.org/r/#/c/352087/ https://gerrit.wikimedia.org/r/#/c/352093/ https://gerrit.wikimedia.org/r/#/c/352088/
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/heira/dsh config removed
  • - remove site.pp (replace with role::spare if system isn't shut down immediately during this process.)

START NON-INTERRUPPTABLE STEPS

END NON-INTERRUPPTABLE STEPS

  • - system disks wiped (by onsite)
  • - remove hostname label, remove hostname from visible label field in racktables (by onsite)
  • - system removed from rack

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2017, 6:44 AM
Cmjohnson moved this task from Backlog to Not urgent on the ops-eqiad board.May 8 2017, 4:46 PM

I am ready whenever you are to decom and remove the rack

Hello @Cmjohnson
From the DBA side you can proceed whenever you like. We do not have to do anything else I believe.

MySQL is down
It has been added to spare role on site.pp
Disabled and downtimed on icinga
Removed from dhcp entries

Marostegui updated the task description. (Show Details)May 11 2017, 6:37 AM
Marostegui updated the task description. (Show Details)
Cmjohnson moved this task from Not urgent to Decommission on the ops-eqiad board.Jul 20 2017, 3:24 PM
Cmjohnson closed this task as Resolved.Oct 12 2017, 4:47 PM
Cmjohnson updated the task description. (Show Details)

done